-- ***************************************************************************
-- Script per esborrar tots els objectes de la base de dades UOC_SGDB
-- Autor: Miguel ngel Bueno Snchez
-- TFC BBDD Relacionals
-- 2014-2015-1
-- ***************************************************************************

-- ===========================================================================
-- Eliminar les taules i altres elements existents.
-- ===========================================================================
DROP PROCEDURE "SHOWCOUNTRYACTIVITYLIST";
DROP PROCEDURE "SHOWCITIZENMONTHLYACTIVITYLIST";
DROP PROCEDURE "SHOWCITIZENSHEALTHSTATELIST";
DROP FUNCTION "GETDISEASESLIST";
DROP TYPE "TYPEDISEASETABLE";
DROP TYPE "TYPEDISEASERECORD";
DROP FUNCTION "GETCOUNTRIESLIST";
DROP TYPE "TYPECOUNTRYTABLE";
DROP TYPE "TYPECOUNTRYRECORD";

DROP PROCEDURE "GETMOSTSPENDERCITIZEN";
DROP FUNCTION "GETMINORILLNESS";
DROP FUNCTION "GETDEGENERATIVEDISEASES";
DROP FUNCTION "GETCANCERDISEASES";
DROP FUNCTION "GETHEARTDISEASES";
DROP FUNCTION "GETDOWNTIME";
DROP FUNCTION "GETSTEPSWALKED";
DROP FUNCTION "GETEXPENDEDCALORIES";
DROP FUNCTION "GETNUMBEROFCITIZENS";
DROP PROCEDURE "UPDATEHEALTHDATA";
DROP PROCEDURE "REMOVEHEALTHDATA";
DROP PROCEDURE "ADDHEALTHDATA";
DROP PROCEDURE "UPDATEPHYSICALACTIVITYDATA";
DROP PROCEDURE "REMOVEPHYSICALACTIVITYDATA";
DROP PROCEDURE "ADDPHYSICALACTIVITYDATA";
DROP PROCEDURE "UPDATECITIZEN";
DROP PROCEDURE "REMOVECITIZEN";
DROP PROCEDURE "CREATECITIZEN";

DROP FUNCTION "FUNCACTFISICAMITJAPAISOS";
DROP TYPE "TYPELLISTATACTFISPAISTABLE";
DROP TYPE "TYPELLISTATACTFISPAISITEM"; 
DROP FUNCTION "FUNCACTFISICAMENSUALCIUTADA";
DROP TYPE "TYPELLISTATACTFISTABLE";
DROP TYPE "TYPELLISTATACTFISITEM"; 
DROP FUNCTION "FUNCLLISTATSALUTCIUTADANS";
DROP TYPE "TYPELLISTATSALUTTABLE";
DROP TYPE "TYPELLISTATSALUTITEM"; 
DROP FUNCTION "FUNCDIESANY";
DROP FUNCTION "FUNCLLISTATCIUTADANSEDAT";
DROP TYPE "TYPECIUTADATABLE";
DROP TYPE "TYPECIUTADA"; 
DROP VIEW "VWLLISTATMALALTIES";
DROP VIEW "VWLLISTATPAISOS";
DROP PROCEDURE "PROCACTUALITZARDADESSALUT";
DROP PROCEDURE "PROCELIMINARDADESSALUT";
DROP PROCEDURE "PROCAFEGIRDADESSALUT";
DROP PROCEDURE "PROCACTUALITZAACTIVITATFISICA";
DROP PROCEDURE "PROCELIMINARACTIVITATFISICA";
DROP PROCEDURE "PROCAFEGIRACTIVITATFISICA";
DROP PROCEDURE "PROCAFEGIRUSSISTEMA";
DROP PROCEDURE "PROCACTUALITZARRANKINGCALORIES";
DROP PROCEDURE "PROCACTRANKINGCALORIESPAIS";
DROP PROCEDURE "PROCACTUALITZARESTADISTICA";
DROP PROCEDURE "PROCACTESTADISTICAPAIS";
DROP PROCEDURE "PROCOBTENIRCIUTADAESTADISTICA";
DROP FUNCTION "FUNCOBTENIRVALORESTADISTICA";
DROP PROCEDURE "PROCACTUALITZARCIUTADA";
DROP PROCEDURE "PROCELIMINARCIUTADA";
DROP PROCEDURE "PROCCREARCIUTADA";
DROP PROCEDURE "PROCVERIFICARCODIMALALTIA";
DROP PROCEDURE "PROCVERIFICARCIUTADAALTA";
DROP PROCEDURE "PROCVERIFICARCODIPAIS";
DROP PROCEDURE "PROCGRAVARLOG";

DROP TRIGGER "trgNewLogProcediments";
DROP SEQUENCE "seqLogProcediments";
DROP TABLE "LOGPROCEDIMENTS";
DROP TABLE "USSISTEMA";
DROP INDEX "IDX_RANKING_CALORIES";
DROP TABLE "RANKINGCALORIES";
DROP TABLE "ESTADISTICACALORIES";
DROP TABLE "ESTADISTICAVALORS";
DROP TABLE "TIPUSESTADISTIQUES";
DROP TABLE "ESTATSALUT";
DROP TABLE "TIPUSMALALTIES";
DROP TABLE "ACTIVITATFISICA";
DROP TABLE "CIUTADANS";
DROP TABLE "PAISOS";
DROP TABLE "MESOS";

-- ***************************************************************************
-- Final del script.
-- ***************************************************************************
